Retrieve transfer options | Moov Documentation
Retrieve transfer options
Generate available payment method options for one or multiple transfer participants depending on the accountID or paymentMethodID you supply in the request body.
The accountID in the route should the partner's accountID.
Read our transfers overview guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.
POST
/accounts/{accountID}/transfer-options
Example Request
curl -X POST "https://api.moov.io/accounts/{accountID}/transfer-options" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"source": {},
"destination": {},
"amount": {
"currency": "USD",
"value": 1204
}
}'
Example Code Snippets
Go
mc, _ := moov.NewClient()
// your partner accountID
var accountID string
mc.TransferOptions(ctx, accountID, moov.CreateTransferOptions{
Source: moov.CreateTransferOptionsTarget{
AccountID: "string",
},
Destination: moov.CreateTransferOptionsTarget{
AccountID: "string",
},
Amount: moov.Amount{
Currency: "USD",
Value: 1,
},
})
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transfers.generateOptions({
accountID: "deafe3cf-31d4-4dcc-8176-3d6bf8bb4f04",
createTransferOptions: {
source: {},
destination: {},
amount: {
currency: "USD",
value: 1204,
},
},
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\